<?php 
    /*
        Plugin Name: Goldhat Stats Plugin
        Plugin URI: http://wordpress.org/extend/plugins/goldhat-widget/
        Version: v1.1.0
        Author: Kenji Crosland 
        Author URI: http://www.linkedin.com/in/kenjicrosland/
        Description: A simple plugin to display goldhat donations at the end of a post as well as allow users to easily submit posts to Goldhat.
        License: GPLv2
    */
    if (!class_exists("GoldhatStatsPlugin"))
        {
            class GoldhatStatsPlugin
            {
                function GoldhatStatsPlugin()
                { 
                    //constructor
                }
                function addHeaderCode() {
                ?>
                <?php
                }
                function addContent($content = '')
                {
                    $content .= "<div id='tdiv' style='display:none;'>".get_the_title()."</div><div id='linkDiv' style='display:none;'>".get_permalink()."</div><script src=\"http://goldhat.org/javascripts/widget.js?i=1\" type=\"text/javascript\"></script><div id=\"ghatDiv\"></div>";
		            return $content;
                }
            } //End Class GoldhatStatsPlugin
        }
    
        if (class_exists("GoldhatStatsPlugin"))
        {
            $ghat_plugin = new GoldhatStatsPlugin();
        }
        //Actions and Filters	
        if (isset($ghat_plugin))
        {
        //Actions
        add_action('wp_head', array(&$ghat_plugin, 'addHeaderCode'), 1);
        //Filters
        add_filter('the_content', array(&$ghat_plugin, 'addContent'));

        }
?>